RAW2AUDIO(6)

NAME
raw2audio - convert raw audio data to audio file format

SYNOPSIS
raw2audio [ -f ] [ -c chan ] [ -e enc ] [ -i info ] [ -o cnt ] [ -p bits ] [ -s rate ] [ filename... ]

AVAILABILITY

This command is only available with the Demos installation option. Refer to for information on how to install optional software.

DESCRIPTION

raw2audio adds an audio file header to the named raw data files. The encoding information in this header is taken from the command line options.

If no filenames are specified, raw2audio reads raw data from the standard input stream and writes an audio file to the standard output. If a target file is a symbolic link, the underlying file will be rewritten.

OPTIONS

-f  Force. If an input file already contains an audio file header, raw2audio ordinarily prints a warning message and skips the file. If the -f flag is specified, the old file header, including the `information' field, is replaced.

-c chan
    Specify the number of interleaved audio channels in each sample frame. If not specified, a single channel is assumed.

-e enc
    Specify the encoding type. enc may be one of the following: ULAW, LINEAR, or FLOAT, corresponding to μ-law, integer PCM, and IEEE floating-point formats, respectively. If not specified, μ-law encoding is assumed.

-i info
    Specify the `information' field of the output file header.

-o cnt
    Specify the number of bytes to skip in the audio data stream. This option may be used, for instance, to extract audio data from files containing unrecognizable file headers.

-s rate
    Specify the sample rate frequency, in Hz. If not specified, the sample rate defaults to 8000 Hz.

-p bits
    Specify the sound unit size, in bits. If not specified, the precision defaults to 8 bits.

-?  Help. Print a command line usage message.

SEE ALSO
play(6), record(6)

WARNINGS

This program is furnished on an as is basis as a demonstration of audio applications programming.